> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> Returns the LLMs available for Managed Agents, including latency and pricing metadata



## OpenAPI

````yaml latest.yml GET /v1/agents/models
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /v1/agents/models:
    get:
      tags:
        - Agents
      summary: List agent models
      description: >-
        Returns the LLMs available for Managed Agents, including latency and
        pricing metadata
      operationId: getV1AgentsModels
      parameters:
        - name: starting_after
          in: query
          schema:
            description: >-
              A cursor for pagination. Pass the ID of the last item from the
              previous page to fetch the next page.
            type: string
        - name: ending_before
          in: query
          schema:
            description: >-
              A cursor for pagination. Pass the ID of the first item from the
              previous page to fetch the previous page.
            type: string
        - name: limit
          in: query
          schema:
            description: The maximum number of items to return, ranging between 1 and 100.
            type: integer
            default: 10
            maximum: 100
            minimum: 1
        - $ref: '#/components/parameters/CartesiaVersionHeader'
      responses:
        '200':
          description: List agent models
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListManagedAgentModelsV1Response'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-08-14'
        default: '2026-08-14'
        enum:
          - '2026-08-14'
  schemas:
    ListManagedAgentModelsV1Response:
      type: object
      properties:
        data:
          description: The requested page of results.
          type: array
          items:
            $ref: '#/components/schemas/ManagedAgentModelV1'
        has_more:
          type: boolean
          description: Whether more results are available after this page.
        next_page:
          type: string
          nullable: true
          description: >-
            An ID that can be passed as `starting_after` or `ending_before` to
            get the next page of data.
      required:
        - data
        - has_more
      title: ListManagedAgentModelsResponse
    ManagedAgentModelV1:
      type: object
      properties:
        average_latency_ms:
          description: Average response latency in milliseconds.
          nullable: true
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        description:
          description: Description of the model.
          nullable: true
          type: string
        display_name:
          description: Display name of the model.
          type: string
        id:
          description: Model ID used in agent configuration.
          type: string
        pricing:
          type: object
          properties:
            cache_read_per_million_tokens:
              description: >-
                Price in USD per one million tokens, represented as a decimal
                string.
              type: string
            cache_write_per_million_tokens:
              description: >-
                Price in USD per one million tokens, represented as a decimal
                string.
              type: string
            currency:
              type: string
              enum:
                - USD
            input_per_million_tokens:
              description: >-
                Price in USD per one million tokens, represented as a decimal
                string.
              type: string
            output_per_million_tokens:
              description: >-
                Price in USD per one million tokens, represented as a decimal
                string.
              type: string
          required:
            - currency
            - input_per_million_tokens
            - output_per_million_tokens
            - cache_read_per_million_tokens
            - cache_write_per_million_tokens
        provider:
          description: Company that provides the model.
          type: string
      required:
        - id
        - display_name
        - provider
        - description
        - average_latency_ms
        - pricing
      title: ManagedAgentModel
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).
      x-default: $CARTESIA_API_KEY

````